Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.sitegraph.model
Class Link

    java.lang.Object
      org.apache.struts2.sitegraph.model.Link

All Implemented Interfaces:
  java.lang.Comparable, Render

    public class Link

extends java.lang.Object
implements Render, java.lang.Comparable

Field Summary
`static int` | `TYPE_ACTION`
`static int` | `TYPE_FORM`
`static int` | `TYPE_HREF`
`static int` | `TYPE_REDIRECT`
`static int` | `TYPE_RESULT`

Constructor Summary
`Link(SiteGraphNode from, SiteGraphNode to, int type, java.lang.String label)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`void` | `render(IndentWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_FORM

    public static final int TYPE_FORM

See Also:
  Constant Field Values

### TYPE_ACTION

    public static final int TYPE_ACTION

See Also:
  Constant Field Values

### TYPE_HREF

    public static final int TYPE_HREF

See Also:
  Constant Field Values

### TYPE_RESULT

    public static final int TYPE_RESULT

See Also:
  Constant Field Values

### TYPE_REDIRECT

    public static final int TYPE_REDIRECT

See Also:
  Constant Field Values

Constructor Detail

### Link

    public Link(SiteGraphNode from,
                SiteGraphNode to,
                int type,
                java.lang.String label)

Method Detail

### render

    public void render(IndentWriter writer)
                throws java.io.IOException

  Specified by:
    `render` in interface `Render`
  Throws:
    `java.io.IOException`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.